Spørgsmål og svar

Tilbage
Søgeord:  

Hvordan fungerer TLS med MySQL?
At forbinde TLS med MySQL kræver klientsoftware, der understøtter nye nok versioner af TLS. I de fleste applikationer skal du aktivt vælge TLS ("SSL").

Her er status for, hvad der understøttes, afhængig af MySQL-versionen for databasen.

MySQL 5.7
MariaDB 10.3
Percona 5.7
MariaDB 10.4, 10.5
TLS versioner v1.0, v1.1, v1.2 v1.2, v1.3

Fejlmeddelelse, hvis TLS-versionen er for gammel

Hvis TLS-versionen er for gammel, kan klientsoftwaren give følgende noget kryptiske fejlmeddelelse:

ERROR 2026 (HY000): SSL connection error: unknown error number

Prøv nyere software, anden software til tilslutning, eller sluk TLS (SSL).


Se også:

© 2022 Domeneshop AS · Om os · Vilkår · Fortrolighedspolitik